* {
    box-sizing: border-box;
}

p,h1,h2,h3,label,a {
    font-family: "Cabin Sketch", sans-serif;
    color:#443e33;
}

p {
    font-size:18px;
}

img {
    width:10vw;
    height:auto;
}

body {
    background-color: #F2C780;
}

/* always hide <input>s themselves */
input.cont {
    display: none;
}

.all {
    width: 75vw;
    margin-left: auto;
    margin-right: auto;
}

.genre {
    height: auto;
    display: flex;
    flex-flow: row nowrap;
}

.nav-item {
    display:inline-block;
    border: 1px solid #000;
    border-radius: 25% 25% 0% 0%;
    position: relative;
    padding: 12px 24px;
    bottom: -1px;
    font-size:18px;
}

nav a {
    color: #000;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 11px;
    font-weight: bold;
    width: fit-content;
}

.nav-item-active {
    display: inline-block;
    border: 1px solid #000;
    border-radius: 25% 25% 0% 0%;
    position: relative;
    padding: 12px 24px;
    bottom: -1px;
    border-bottom: 1px solid #fdedd3;
}

#articles {
    background-color: #8fd2f8;
}

#fiction {
    background-color: #fcaafc;
}

#nonfiction {
    background-color: #fae672;
}

#poetry {
    background-color: #70bd5d;
}

#zines {
    background-color: #eb5f5f;
}

.notebook {
    height: 90vh;
    background-color: #fdedd3;
    background-size: 24px 24px;
    background-image: repeating-linear-gradient(0deg, #2c210f, #2c210f 1.2000000000000002px, #fdedd3 1.2000000000000002px, #fdedd3);
    border: 1px solid #000;
    display:grid;
    grid-gap: 15px;
    grid-template:
        "sidebar header"
        "sidebar main"
        "sidebar footer"
        / 300px 1fr;
}

.updates { grid-area:header }

.item-list { grid-area:sidebar; }

.presentation { grid-area:main; }

.links { grid-area:footer; }

.updates {
    width: 95%;
    height: 15vh;
    margin-top: 5px;
    position:relative;
    background-color: #f8ebd5;
    border: 1px solid #000;
    padding: 5px;
}

.title-zines {
    color:#eb5f5f;
}

.item-list {
    display: flex;
    flex-flow: column nowrap;
    height: 97%;
    overflow-y: auto;
    position:relative;
    background-color: #f8ebd5;
    border: 1px solid #000 !important;
    border-right: 5px solid #e96363 !important;
    padding: 5px;
    margin:5px;
}

.tabList {
    display: flex;
    flex-flow: column nowrap;
    padding: 0;
    width: 100%;
}

.item {
    background-color: #f8ebd5;
    border: 3px dotted;
    padding:5px;
    margin: 5px;
    font-size: 20px;
}

.zines {
    scrollbar-color: #eb5f5f #f8ebd5;
    border-color:#eb5f5f;
}

.poetry {
    scrollbar-color: #70bd5d #f8ebd5;
    border-color:#70bd5d;
}

.nonfiction {
    scrollbar-color: #ebd247 #f8ebd5;
    border-color:#ebd247;
}

.fiction {
    scrollbar-color: #fcaafc #f8ebd5;
    border-color:#fcaafc;
}

/* hide tabs that aren't selected, style tabs like usual divs */
div.tab {
    display: none;
    flex: 1 0;
    box-sizing: border-box;
    width: 60%;
}

/* show tabs that are selected */
input:checked + div.tab {
    display: flex;
}

.presentation {
    width: 95%;
    height: 60vh;
    overflow-y: auto;
    background-color: #f8ebd5;
    border: 1px solid #000 !important;
    padding: 10px;
}

/* hide tabs that aren't selected, style tabs like usual divs */
div.tab {
    display: none;
    flex: 1 0;
    box-sizing: border-box;
    width: 98%;
}

/* show tabs that are selected */
input:checked + div.tab {
    display:grid;
    grid-gap: 10px;
    grid-template:
        "sidebar header"
        "main main"
        / 12vw 1fr;
}

.picture { grid-area:sidebar }

.infos { grid-area:header }

.thoughts { grid-area:main }

.picture {
    border: 1px solid #000;
    width:10.4vw;
    height:fit-content;
    padding:3px;
    text-align:center;
    margin-left:auto;
    margin-right:auto;
}

.socials {
    height: 50px;
    width: 95%;
    background-color: #f8ebd5;
    display: flex;
    flex-direction:row;
    justify-content: space-evenly;
    align-items: center;
    list-style-type: none;
    flex-wrap: wrap;
    border: 1px solid #000000;
}

button {
    flex-shrink: 0;
    align-items: center;
    appearance: none;
    background-color: #6ce0a0;
    background-image: linear-gradient(1deg, #3fbe78, #308f5b 99%);
    background-size: calc(100% + 20px) calc(100% + 20px);
    border-width: 0;
    box-shadow: none;
    box-sizing: border-box;
    color: #fdedd3;
    cursor: pointer;
    display: inline-flex;
    flex-wrap: wrap;
    font-size: 1rem;
    height: auto;
    justify-content: center;
    line-height: 1.5;
    padding: 6px 20px;
    position: relative;
    text-align: center;
    text-decoration: none;
    transition: background-color .2s,background-position .2s;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: top;
    white-space: nowrap;
}

button:active,
button:focus {
  outline: none;
}

button:hover {
  background-position: -20px -20px;
  background-color: #29241b;
}

button:focus:not(:active) {
  box-shadow: rgba(40, 170, 255, 0.25) 0 0 0 .125em;
}